=== debian/changelog ===
ioquake3 (1.36+u20250822.9d2227c+dfsg-2) unstable; urgency=medium

  * d/p/Remove-unused-matha.S.patch,
    d/p/asm-Remove-unused-S_PaintChannelFrom8.patch,
    d/p/client-Remove-i386-GNU-assembler-version-of-S_WriteLinear.patch:
    Add proposed patches to fix FTBFS on armel and armhf
  * d/rules: Pass CPPFLAGS to the assembler (thanks, blhc)
    This probably doesn't matter in practice, since the assembler code
    doesn't manipulate strings and isn't affected by _FORTIFY_SOURCE.

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Aug 2025 11:40:38 +0100

ioquake3 (1.36+u20250822.9d2227c+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
    - Build everything with -fvisibility=hidden, avoiding symbols from the
      executable interposing symbols of the same name in game modules
      (Closes: #1111671)
  * d/p/cmake-Only-link-snd_mixa-into-the-client-not-the-dedicate.patch:
    Add proposed patch to fix one reason for FTBFS on i386
  * d/p/cmake-Set-up-USE_ARCHLESS_FILENAMES-at-top-level.patch,
    d/p/qcommon-Build-generically-for-otherwise-unknown-architect.patch:
    Add proposed patches to fix the build on architectures not
    specifically recognised by upstream
  * d/rules: Build with SSE2 on i386, fixing another reason for FTBFS.
    The new upstream snapshot doesn't build successfully on i386
    without it. As per the trixie release notes, SSE2 is required now,
    so it doesn't seem productive to go to extra effort to avoid that.

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Aug 2025 21:22:00 +0100

ioquake3 (1.36+u20250820.03c5ee0+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update Files-Excluded
  * d/copyright: Update location of some files that were moved
  * Use the new upstream CMake build system
  * Game modules are now loaded from cgame.so, qagame.so and ui.so,
    without architecture-specific suffixes.
    This simplifies the packaging considerably, since we no longer need
    to track the corresponence between Debian architectures and their
    ioquake3 names.
    Add Breaks on older versions of openarena{,-server}, which relied
    on the architecture suffixes.
  * dlopening libcurl is now the only option, so do that.
    Generate ${dlopen:Depends}, ${dlopen:Recommends} for dlopen'd
    dependencies.
  * Build-depend on OpenSSL libcurl, not GNUTLS libcurl. This is the
    SONAME that ioquake3 will dlopen.
  * d/p/debian/Compile-successfully-against-libcurl-7.52.x.patch:
    Drop patch, no longer relevant in any supported Debian release
  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Drop patch, fixed differently in the CMake build system
  * A known regression in this version is that it will not compile
    successfully on architectures not explicitly listed by
    upstream. It isn't clear whether any of the affected architectures
    worked: at least mips64el, riscv64 and s390x already did not (#1111671)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Aug 2025 09:25:52 +0100
