=== debian/control ===
Source: ioquake3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-apparmor [linux-any] <!pkg.flatpak.app>,
 libcurl4-openssl-dev,
 libjpeg-dev,
 libopenal-dev,
 libopus-dev,
 libopusfile-dev,
 libsdl2-dev,
 libvorbis-dev,
 ninja-build,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
Homepage: https://ioquake3.org/
Rules-Requires-Root: no

Package: ioquake3
Architecture: any
Depends:
 ioquake3-server (= ${binary:Version}),
 sse2-support [any-i386],
 ${dlopen:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${dlopen:Recommends},
 x11-utils | zenity | kdialog,
Breaks:
 openarena (<< 0.8.8+dfsg-9~),
Description: Game engine for 3D first person shooter games
 This package installs a modified version of the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data.

Package: ioquake3-server
Architecture: any
Depends:
 sse2-support [any-i386],
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 openarena (<< 0.8.8+dfsg-9~),
 openarena-server (<< 0.8.8+dfsg-9~),
Description: Engine for 3D first person shooter games - server and common files
 This package contains common files for the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 It also contains the dedicated server binary.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data, or to get a usable server,
 install openarena-server or another suitable set of server data.
