## ioquake3 1.36+u20250830.2b516c5+dfsg

=== Makefile ===
--- 
+++ 
@@ -241,10 +241,6 @@
 
 ifndef USE_RENDERER_DLOPEN
 USE_RENDERER_DLOPEN=1
-endif
-
-ifndef USE_ARCHLESS_FILENAMES
-USE_ARCHLESS_FILENAMES=0
 endif
 
 ifndef USE_YACC
@@ -520,3 +516,4 @@
         endif
       endif
 
+      CC=$(MACOSX_ARCH)-apple-darwin$(DARWIN)-cc
