=== debian/changelog ===
ioquake3 (1.36+u20250830.2b516c5+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Update patch series
    - d/p/cmake-Only-link-snd_mixa-into-the-client-not-the-dedicate.patch,
      d/p/Remove-unused-matha.S.patch,
      d/p/asm-Remove-unused-S_PaintChannelFrom8.patch,
      d/p/client-Remove-i386-GNU-assembler-version-of-S_WriteLinear.patch:
      Remove, applied upstream
    - d/p/cmake-Set-up-USE_ARCHLESS_FILENAMES-at-top-level.patch,
      d/p/qcommon-Build-generically-for-otherwise-unknown-architect.patch:
      Remove, solved differently upstream
  * d/rules: Stop setting USE_ARCHLESS_FILENAMES, now always-on

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 18:20:15 +0100
