=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq ($(DEB_HOST_ARCH),i386)
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
 # The build fails without this, and Debian >= 13 requires SSE2
 # as per the release notes
 DEB_CFLAGS_MAINT_APPEND += -msse2
@@ -37,7 +37,6 @@
 	-DBUILD_SERVER=ON \
 	-DCMAKE_INSTALL_PREFIX=/usr/lib/ioquake3 \
 	-DPRODUCT_VERSION="$(DEB_VERSION)/$(DEB_VENDOR)" \
-	-DUSE_ARCHLESS_FILENAMES=ON \
 	-DUSE_CODEC_VORBIS=ON \
 	-DUSE_FREETYPE=OFF \
 	-DUSE_HTTP=ON \
