## ioquake3 1.36+u20250830.3e0b279+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20250830.3e0b279+dfsg-1) unstable; urgency=medium

  * New upstream snapshot, fixing FTBFS on architectures not recognised by
    upstream (again)

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 23:00:29 +0100
