## ioquake3 1.36+u20250901.45788d2+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20250901.45788d2+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/rules: Fix FTCBFS by using triplet-prefixed pkgconf
    (Closes: #1112684)

  [ Simon McVittie ]
  * New upstream snapshot
  * d/control, d/rules: Use dpkg build API v1, available since trixie
    - /usr/share/dpkg/buildtools.mk does not need to be included explicitly
  * d/salsa-ci.yml: Exercise cross-builds
  * d/rules: Stop setting ASMFLAGS, no longer needed.
    All files containing standalone GNU assembler code were removed
    upstream, and the remaining GNU assembler code is inlined into C
    source, which already gets all the necessary compiler flags.

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Sep 2025 10:56:57 +0100
