## ioquake3 1.36+u20250908.3d8979f+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 option(BUILD_GAME_QVMS "Build game module qvms" ON)
 option(BUILD_STANDALONE "Build binaries for standalone games" OFF)
 
-option(USE_ARCHLESS_FILENAMES "Don't include the architecture in binary filenames" OFF)
 option(USE_RENDERER_DLOPEN "Dynamically load the renderer(s)" ON)
 option(USE_OPENAL "OpenAL audio" ON)
 option(USE_OPENAL_DLOPEN "Dynamically load OpenAL" ON)
@@ -63,6 +62,11 @@
 # For CI to read from
 file(GENERATE OUTPUT ${CMAKE_BINARY_DIR}/version.txt CONTENT ${PRODUCT_VERSION})
 
+if(DEFINED ENV{SOURCE_DATE_EPOCH})
+    string(TIMESTAMP PRODUCT_DATE "%b %d %Y" UTC)
+    add_compile_definitions(PRODUCT_DATE="${PRODUCT_DATE}")
+endif()
+
 set(SOURCE_DIR ${CMAKE_SOURCE_DIR}/code)
 
 include(compilers/all)
