=== debian/changelog ===
ioquake3 (1.36+u20250908.3d8979f+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: Remove stanza for a removed file
  * d/watch: Convert to v5 format
  * d/source/lintian-overrides: Ignore a false positive for d/watch v5

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Sep 2025 10:59:19 +0100
