=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  cmake,
  debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
+ dpkg-build-api (= 1),
  libcurl4-openssl-dev,
  libjpeg-dev,
  libopenal-dev,
