=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 endif
 
 include /usr/share/dpkg/default.mk
-
-export ASMFLAGS = $(ASFLAGS) $(CPPFLAGS)
 
 %:
 	dh $@ --buildsystem=cmake+ninja
@@ -63,12 +61,12 @@
 debian/depends.so: debian/shlibdeps-helper.c debian/rules
 	$(CC) -shared $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wl,--no-as-needed \
 		-o$@ $< \
-		$$(pkg-config --cflags --libs gl)
+		$$($(PKG_CONFIG) --cflags --libs gl)
 
 debian/recommends.so: debian/shlibdeps-helper.c debian/rules
 	$(CC) -shared $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wl,--no-as-needed \
 		-o$@ $< \
-		$$(pkg-config --cflags --libs libcurl)
+		$$($(PKG_CONFIG) --cflags --libs libcurl)
 
 execute_after_dh_shlibdeps-arch: debian/depends.so debian/recommends.so
 	dh_shlibdeps -pioquake3 \
