=== debian/watch ===
Version: 5

Source: https://github.com/ioquake/ioq3
Mode: git
Matching-Pattern: HEAD
Compression: xz
Dversion-Mangle: s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/
Git-Pretty: 1.36+u%cd.%h
Repacksuffix: +dfsg
