## ioquake3 1.36+u20251029.a553ad1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,10 @@
 cmake_minimum_required(VERSION 3.25)
+
+if(POLICY CMP0177)
+    # Policy CMP0177: install() DESTINATION paths are normalized
+    # Introduced in CMake 3.31
+    cmake_policy(SET CMP0177 NEW)
+endif()
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 include(identity)
@@ -45,14 +51,23 @@
 
     if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
         execute_process(
-            COMMAND git show -s --pretty=format:%h
+            COMMAND git describe --tags --exact-match
             WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
-            OUTPUT_VARIABLE GIT_REV
+            OUTPUT_VARIABLE GIT_TAG
             OUTPUT_STRIP_TRAILING_WHITESPACE
             ERROR_QUIET)
 
-        if(GIT_REV)
-            set(PRODUCT_VERSION "${PRODUCT_VERSION}_g${GIT_REV}")
+        if(NOT GIT_TAG STREQUAL "${PRODUCT_VERSION}")
+            execute_process(
+                COMMAND git show -s --pretty=format:%h
+                WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+                OUTPUT_VARIABLE GIT_REV
+                OUTPUT_STRIP_TRAILING_WHITESPACE
+                ERROR_QUIET)
+
+            if(GIT_REV)
+                set(PRODUCT_VERSION "${PRODUCT_VERSION}_g${GIT_REV}")
+            endif()
         endif()
     endif()
 endif()
@@ -79,3 +94,6 @@
 include(client)
 include(basegame)
 include(missionpack)
+
+include(post_configure)
+include(installer)
