=== debian/changelog ===
ioquake3 (1.36+u20251029.a553ad1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    - For Quake 3 Arena, this version migrates configuration, data and
      state from ~/.q3a to ~/.config/Quake3, ~/.local/share/Quake3 and
      ~/.local/state/Quake3 respectively (those paths can be overridden
      by the XDG environment variables in the usual way).
    - Other games should set com_homepath or fs_homepath to an appropriate
      location.
  * Refresh patch series
  * Create a flag-file to signal to quake3 that we are using the new paths
  * Add versioned Breaks on older quake3, quake3-server, openarena,
    openarena-server. We need a version that can cope with the new meaning of
    com_homepath.
  * d/*.docs: Update source paths
  * Remove an unnecessary lintian override
  * Reformat packaging (debputy reformat)
  * Remove Rules-Requires-Root, no longer needed since Debian 13
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 10:59:44 +0000
