=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: ioquake3
+X-Style: black
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
@@ -6,10 +7,10 @@
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- cmake,
  debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
  dpkg-build-api (= 1),
+ cmake,
  libcurl4-openssl-dev,
  libjpeg-dev,
  libopenal-dev,
@@ -22,7 +23,6 @@
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
-Rules-Requires-Root: no
 
 Package: ioquake3
 Architecture: any
@@ -33,10 +33,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ x11-utils | zenity | kdialog,
  ${dlopen:Recommends},
- x11-utils | zenity | kdialog,
 Breaks:
- openarena (<< 0.8.8+dfsg-9~),
+ openarena (<< 0.8.8+dfsg-11~),
+ quake3 (<< 86~),
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
@@ -52,8 +53,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- openarena (<< 0.8.8+dfsg-9~),
- openarena-server (<< 0.8.8+dfsg-9~),
+ openarena (<< 0.8.8+dfsg-11~),
+ openarena-server (<< 0.8.8+dfsg-11~),
+ quake3 (<< 86~),
+ quake3-server (<< 86~),
 Description: Engine for 3D first person shooter games - server and common files
  This package contains common files for the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
