=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 Compression: xz
 Dversion-Mangle: s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/
 Git-Pretty: 1.36+u%cd.%h
-Repacksuffix: +dfsg
+Repack-Suffix: +dfsg
