## ioquake3 1.36+u20251111.fcde284+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20251111.fcde284+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Nov 2025 10:55:57 +0000
