=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(OPTIONS)
 
+# Signal to game-data-packager that this version of the engine includes
+# migration to ~/.local/state/Quake3.
+execute_after_dh_auto_install:
+	touch debian/tmp/usr/lib/ioquake3/xdg-migration.stamp
+
 override_dh_auto_test:
 
 debian/depends.so: debian/shlibdeps-helper.c debian/rules
