## ioquake3 1.36+u20251206.e29c74e1+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20251206.e29c74e1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Dec 2025 11:23:26 +0000
