=== debian/changelog ===
ioquake3 (1.36+u20251228.3ef30e75+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Run in fullscreen at desktop resolution in new installations,
    as discussed recently on the debian-devel-games list
    - d/p/debian/Run-in-a-window-by-default-on-new-installations.patch:
      Drop patch
  * d/control: Standards-Version: 4.7.3 (no changes required)
  * d/control: Remove unnecessary Priority field

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jan 2026 16:44:41 +0000
