=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ioquake3
 X-Style: black
 Section: games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
@@ -19,7 +18,7 @@
  libsdl2-dev,
  libvorbis-dev,
  ninja-build,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
