## ioquake3 1558-maemo3

=== debian/changelog ===
ioquake3 (1558-maemo3) unstable; urgency=low

  * Architecture should be armel, as x86 is not supported.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 11 Oct 2009 15:16:58 +0300

ioquake3 (1558-maemo2) unstable; urgency=low

  * Add the configuration files.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 11 Oct 2009 14:57:33 +0300

ioquake3 (1558-maemo1) unstable; urgency=low

  * Initial Release.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 11 Oct 2009 13:11:09 +0300
